
From: Gerrit Huizenga <gh@us.ibm.com>

Function returns without unlocking the readlock in a case.  This patch fixes
it.

Signed-Off-By: Chandra Seetharaman <sekharan@us.ibm.com>
Signed-Off-By: Gerrit Huizenga <gh@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/ckrm/ckrm.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN kernel/ckrm/ckrm.c~ckrm-add-missing-read_unlock kernel/ckrm/ckrm.c
--- 25/kernel/ckrm/ckrm.c~ckrm-add-missing-read_unlock	Wed Jul 13 14:44:02 2005
+++ 25-akpm/kernel/ckrm/ckrm.c	Wed Jul 13 14:44:02 2005
@@ -106,6 +106,7 @@ void *ckrm_classobj(char *classname, int
 			if (core->name && !strcmp(core->name, classname)) {
 				/* FIXME:   should grep reference. */
 				*classtype_id = ctype->type_id;
+				read_unlock(&ckrm_class_lock);
 				return core;
 			}
 		}
_
